chyba odpovědi Woocommerce

117 zhlédnutíWebhosting
0

Dobrý den,

chtěla jsem si nainstalovat woocommerce a jak jsem dala aktivovat, vylítla na mne hláška:

Fatal error: Uncaught Error: Call to undefined function putenv() in /data/web/virtuals/313945/virtual/www/domains/doplnkypropanenky.cz/wp-content/plugins/woocommerce/includes/class-wc-regenerate-images-request.php:37 Stack trace: #0 /data/web/virtuals/313945/virtual/www/domains/doplnkypropanenky.cz/wp-content/plugins/woocommerce/includes/class-wc-regenerate-images.php(49): WC_Regenerate_Images_Request->__construct() #1 /data/web/virtuals/313945/virtual/www/domains/doplnkypropanenky.cz/wp-includes/class-wp-hook.php(308): WC_Regenerate_Images::init(“) #2 /data/web/virtuals/313945/virtual/www/domains/doplnkypropanenky.cz/wp-includes/class-wp-hook.php(332): WP_Hook->apply_filters(NULL, Array) #3 /data/web/virtuals/313945/virtual/www/domains/doplnkypropanenky.cz/wp-includes/plugin.php(517): WP_Hook->do_action(Array) #4 /data/web/virtuals/313945/virtual/www/domains/doplnkypropanenky.cz/wp-settings.php(617): do_action(‚init‘) #5 /data/web/virtuals/313945/virtual/www/domains/doplnkypropanenky.cz/wp-config.php(115): require_once(‚/data/web/virtu…‘) #6 /data/web/virtuals/313945/virtual/www/domains/doplnkypropanenky.cz/wp-load.php(50): require_once(‚/data/web/virtu…‘) #7 /data/web/virtuals/313945/virtual/www/domains/doplnkypropanenky.cz/wp-admin/admin.php(34): require_once(‚/data/web/virtu…‘) #8 /data/web/virtuals/313945/virtual/www/domains/doplnkypropanenky.cz/wp-admin/user-edit.php(10): require_once(‚/data/web/virtu…‘) #9 /data/web/virtuals/313945/virtual/www/domains/doplnkypropanenky.cz/wp-admin/profile.php(18): require_once(‚/data/web/virtu…‘) #10 {main} thrown in /data/web/virtuals/313945/virtual/www/domains/doplnkypropanenky.cz/wp-content/plugins/woocommerce/includes/class-wc-regenerate-images-request.php on line 37

Na webu došlo k závažné chybě. Pokyny naleznete v e-mailové schránce administrátora webu.

Další informace o řešení potíží s WordPressem.

Děkuji za pomoc

Role: Zákazník
MB313456 Odpověděl na otázku 24. 1. 2023
0
MB313456 34.85K - WEDOS Internet, a.s. 0 Comments

Dobrý den,

zkuste nastavit PHP verzi 7.4.

Role: Podpora
MB313456 Odpověděl na otázku 23. 1. 2023
0

Dobrý den, to nemohu.

Původně jsme to tak měla, ale kvůli instalaci WordPressu to tak nejde. Ten na PHP 7.4. Nefunguje. Nešel mi vůbec nainstalovat a musela jsem proto to PHP změnit úplně na startu. Takže když dám opět vyšší verzi, asi si tím vůbec nepomůžu a zmizí mi data.

Nejaky jiný nápad?

Role: Zákazník
JS324546 Změnil status na publikováno 23. 1. 2023
0
JS324546 3.71K - WEDOS Internet, a.s. 0 Comments

Dobrý den,

problém je ve funkci putenv(), která je na webhostingu zakázána. Případná řešení tohoto problému můžete najít např. zde.

Role: Podpora
JS324546 Edited answer 23. 1. 2023
0

Děkuji, dívala jsem se na to a protože nejsem programátor (proto také pracuji s šablony), tak jsem se ve vláknech dočetla spoustu informací z čehož jsou možné 2 způsoby, ale:

  1. nefunguje mi rozhraní WordPress, kde bych si teda mohla doinstalovat plugin Code Snippets na vyřešení problému. Vždy mě to vyhodí do stejné chybové hlášky
  2. když už bych chtěla jít do zdrojového kodu, abych si to ručně přepsala, tak nemám ponětí, kde ho v těch vašich 3 systémech (wedos, wordpress, pma) vůbec najdu, abych do functions.php mohla vstoupit a něco tam teda přepsat podle návodů

Opakuji, že nejsem programátor (a určitě nejsem sama), proto používám šablony, takže by to chtělo blbuvzdorný návod pro laika v jednotlivých krocích, jak tedy mám postupovat, abych se vůbec někam dostala. Děkuji

Role: Zákazník
MB313456 Změnil status na publikováno 24. 1. 2023
0
MB313456 34.85K - WEDOS Internet, a.s. 0 Comments

Dobrý den,

WordPress by s PHP 7.4 neměl mít problém. Pokud na této verzi vypisuje chyby, je možné, že to bude jiným pluginem. Pokud potřebujete zpřístupnit administraci blokovanou chybou pluginu, můžete plugin vyřadit přes FTP podle tohoto návodu.

Do zdrojového kódu se taktéž dostanete přístupem do souboru functions.php přes FTP.

Z naší strany Vám bohužel podrobněji poradit nedokážu, WordPress ani WooCommerce nejsou naše produkty a danou chybu zpravidla řešíme právě přepnutím PHP na verzi 7.4. Pokud Vám nic z výše uvedeného nepomůže, můžete zkusit aktivovat dočasný přístup přes FTP pro podporu a napsat přes formulář a požádat o pomoc naše CMS oddělení. Uveďte název webu, chybovou hlášku a postupy, které jste zkusila.

Role: Podpora
MB313456 Odpověděl na otázku 24. 1. 2023